/*------------------------------------------------------------------------------
--  This file is a part of the SocExplorer Software
--  Copyright (C) 2013, Laboratory of Plasmas Physic - CNRS
--
--  This program is free software; you can redistribute it and/or modify
--  it under the terms of the GNU General Public License as published by
--  the Free Software Foundation; either version 3 of the License, or
--  (at your option) any later version.
--
--  This program is distributed in the hope that it will be useful,
--  but WITHOUT ANY WARRANTY; without even the implied warranty of
--  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
--  GNU General Public License for more details.
--
--  You should have received a copy of the GNU General Public License
--  along with this program; if not, write to the Free Software
--  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
-------------------------------------------------------------------------------*/
/*--                  Author : Alexis Jeandet
--                     Mail : alexis.jeandet@member.fsf.org
----------------------------------------------------------------------------*/
#ifndef APBUARTCFG_H
#define APBUARTCFG_H

#include <QWidget>
#include <QCheckBox>
#include <QLabel>
#include <QGridLayout>

class ApbUartCfg : public QWidget
{
    Q_OBJECT
public:
    explicit ApbUartCfg(QWidget *parent = 0);
    
signals:
    void loopbackChkBxStateChanged( int state );
public slots:

private:
    QCheckBox* loopbackChkBx;
    QGridLayout* mainLayout;
    
};

#endif // APBUARTCFG_H
